<p-card [style]="{width: 'width'}" styleClass="styleClass">
    <div class="p-grid">
        <div class="p-col">
            <!-- <h4>Profesores</h4> -->
            <p-dataView #dv [value]="claseOfertaGeneral" [paginator]="true" [layout]="'list'" [rows]="12" filterBy="name" [sortField]="sortField"
                [sortOrder]="sortOrder" layout="grid" paginatorPosition="bottom">
                <ng-template pTemplate="header">
                    <!-- <div class="flex flex-column md:flex-row md:justify-content-between"> -->
                        <p-dropdown [options]="sortOptions" [(ngModel)]="sortKey" placeholder="Precio de clase"
                            (onChange)="onSortChange($event)" styleClass="mb-2 md:mb-0"></p-dropdown>
                        <!-- <span class="p-input-icon-left mb-2 md:mb-0">
                            <i class="pi pi-search"></i>
                            <input type="search" pInputText placeholder="Search by Name">
                        </span> -->
                    <!-- </div> -->
                </ng-template>
                <ng-template let-clase pTemplate="listItem">
                    <div class="col-12">
                        <div class="card">
                            <div class="product-list-item">
                                <img [src]="'assets/images/' + clase.img" *ngIf="clase.img" [alt]="clase.nombre" style="padding: 1rem; max-height: 132px;" />
                                <img [src]="'assets/images/user.png'" [alt]="clase.nombre" style="padding: 1rem; max-height: 132px;" />
                                <div class="product-list-detail">
                                    <div class="product-name" >{{clase.titulo_prof}}</div> 
                                    <div class="product-description p-mb-1">{{clase.nombre}} {{clase.apellido}}</div>
                                    <span class="product-category">{{clase.categoria}}</span>
                                    <!-- <p>{{clase.titulo_prof}}</p> -->
                                    
                                    <!-- <div class="product-description">{{clase.resena}}</div> -->
                                    <p-rating [ngModel]="clase.calificacion" [readonly]="true" [cancel]="false"></p-rating>
                                
                                    <span class="product-price">{{clase.precio_hora | currency}} <h6 style="margin-bottom: 0px;">por hora</h6> </span>
                                    
                                </div>
                                <!-- <div class="product-list-action">
                                    <span class="product-price">{{clase.precio_hora | currency}} <h6 style="margin-bottom: 0px;">por hora</h6> </span>
                                    <p-button label="Más información"
                                        [disabled]="clase.estado_perfil === 'Inactivo'"
                                        (click)="showModalDialog(clase)"
                                        >
                                    </p-button>
                                </div> -->
                               
                            </div>
                            <p-button class="" label="Más información"
                                    [disabled]="clase.estado_perfil === 'Inactivo'"
                                    (click)="showModalDialog(clase)"
                                    >
                            </p-button>
                        </div>
                       
                    </div>
                </ng-template>
            </p-dataView>
        </div>
        <!-- <div class="p-col-0">
            <p-divider layout="vertical">
                
            </p-divider>
        </div> -->
        <!-- <div class="p-col">
            <h4>Clases grupales</h4>
                <p-dataView #dv [value]="clasesGrupales" [paginator]="true" [layout]="'list'" [rows]="11" filterBy="name" [sortField]="sortField"
                [sortOrder]="sortOrder" layout="grid" paginatorPosition="bottom">
                <ng-template pTemplate="header">
                    <div class="flex flex-column md:flex-row md:justify-content-between">
                        <p-dropdown [options]="sortOptionsGrupal" [(ngModel)]="sortKey" placeholder="Precio de clase"
                            (onChange)="onSortChange($event)" styleClass="mb-2 md:mb-0"></p-dropdown>
                        <span class="p-input-icon-left mb-2 md:mb-0">
                            <i class="pi pi-search"></i>
                            <input type="search" pInputText placeholder="Search by Name">
                        </span>
                    </div>
                </ng-template>
                <ng-template let-clase pTemplate="listItem">
                    <div class="col-12">
                        <div class="product-list-item">
                            <img [src]="'assets/images/' + clase.img" [alt]="clase.nombre" style="padding: 1rem; max-height: 156px;" />
                            <div class="product-list-detail">
                                <div class="product-name">{{clase.nombre_clase}}</div>
                                <div class="product-description">{{clase.resena}}</div>
                                <p-rating  [ngModel]="clase.calificacion" [readonly]="true" [cancel]="false"></p-rating>
                                <span
                                    class="product-category">{{clase.categoria}}</span>
                            </div>
                            <div class="product-list-action">
                                <span class="product-price">{{clase.precio_clase | currency}} <h6 style="margin-bottom: 0px;">por sesión</h6></span>
                                <p-button label="Más información"
                                    [disabled]="clase.estado_perfil === 'Inactivo'"
                                    (click)="showModalDialog(clase)"></p-button>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </p-dataView>
        </div> -->

        <p-dialog  header="Detalle" [(visible)]="displayModal" [modal]="true" [style]="{width: '55vw'}"
        [draggable]="false" [resizable]="false">
        <ng-template pTemplate="content">
            <div class="p-field">
                <div class="product-list-item">
                    <img [src]="'assets/images/' + clase.img" *ngIf="clase.img" [alt]="clase.nombre" style="padding: 1rem; max-height: 156px;" />
                    <img [src]="'assets/images/user.png'" [alt]="clase.nombre" style="padding: 1rem; max-height: 156px;" />
                    <div class="product-list-detail">
                        <div class="product-name">{{clase.nombre}} {{clase.apellido}}</div>
                        <p>{{clase.titulo_prof}}</p>
                        <div class="product-description">{{clase.resena}}</div>
                        <div class="p-grid">
                            <div class="p-col-6">
                                <p-rating  [ngModel]="clase.calificacion" [readonly]="true" [cancel]="false"></p-rating>
                                <span class="product-category">{{clase.categoria}}</span>
                            </div>
                            <div class=" p-col-6">
                                <div class="product-list-action">
                                <span class="product-price">{{clase.precio_hora | currency}} 
                                    <h6 style="margin-bottom: 0px;">por hora</h6> 
                                </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <p-divider layout="horizontal">
            </p-divider>         
            <div class="p-field">
                <div class="product-name">Próximos horarios disponibles</div>
                <div class="p-grid">
                    <div class="p-col-12">
                        <div class="schedule">
                            <p class="subtitle">Clases disponibles:</p>
                            <ul>
                                <li *ngFor="let claseDisp of clasesDisponibles">
                                    <div class="p-grid">
                                        <div class="p-col-8 p-mt-2">
                                            <h6>Id: {{claseDisp.id_clase}}</h6>
                                            <p>{{claseDisp.dia_clase | titlecase}} <br> 
                                                {{claseDisp.hora_inicio}} - {{claseDisp.hora_fin}}</p>
                                        </div>
                                        <div class="p-col-4 centerVerticalClass">
                                            <div class="p-d-flex p-justify-end">
                                                <p-button (click)="seleccionHorario(claseDisp)" label="Seleccionar" styleClass="p-button-outlined"></p-button>
                                            </div>
                                        </div>
                                    </div>

                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>
        </p-dialog>
    </div>
</p-card>
    
